#include "VisibilityEnvironment.h"
#include "common.h"
#include "Environment.h"


namespace GtpVisibility {

//-----------------------------------------------------------------------
VisibilityEnvironment::VisibilityEnvironment()
{
	// load debug stream
	GtpVisibilityPreprocessor::Debug.open("debug.log");
	 
}
VisibilityEnvironment::~VisibilityEnvironment()
{
	// load debug stream
	DEL_PTR(GtpVisibilityPreprocessor::environment);
	 
}
//-----------------------------------------------------------------------
void VisibilityEnvironment::LoadEnvironment(string filename)
{
	// todo matt:
	GtpVisibilityPreprocessor::environment = new GtpVisibilityPreprocessor::Environment;
	
	char argc = 2;
	char *argv[2];
	argv[0] = "";
	
	char fname[200];
	sprintf(fname, "%s", filename.c_str());
	argv[1] = fname;

	GtpVisibilityPreprocessor::Debug << "filename: " << argv[1] << endl;

	GtpVisibilityPreprocessor::environment->Parse(argc, argv, false);
	//MeshKdTree::ParseEnvironment();
}
//-----------------------------------------------------------------------
std::string VisibilityEnvironment::getSceneFileName()
{
	char str[200];
	GtpVisibilityPreprocessor::environment->GetStringValue("Scene.filename", str);
	return str;
}
//-----------------------------------------------------------------------
std::string VisibilityEnvironment::getViewCellsFileName()
{
	char str[200];
	GtpVisibilityPreprocessor::environment->GetStringValue("ViewCells.filename", str);
	return str;
}

} // namespace GtpVisibility
